const AWS = require('aws-sdk');
const cloudwatchevents = new AWS.CloudWatchEvents({apiVersion: '2015-10-07'});

exports.handler = async function(event, context) {
  console.log(JSON.stringify(event));
  await cloudwatchevents.putEvents({
    Entries: [{
      Source: 'cloudonaut',
      DetailType: 'Ping',
      Detail: JSON.stringify({
        ts: Date.now(),
        random: Math.random()
      }),
      EventBusName: process.env.VARIABLE1
    }]
  }).promise();
  return true;
};
