
## Deployment

```bash
npm i
aws cloudformation package --template-file template.yml --s3-bucket $BucketName --output-template-file packaged.yml
aws cloudformation deploy --template-file packaged.yml --stack-name eventbridge-demo --capabilities CAPABILITY_IAM
```

## Clean up

```bash
aws cloudformation delete-stack --stack-name eventbridge-demo
```
